=== debian/control ===
Source: open-iscsi
Section: net
Priority: optional
Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Moise <chops@demiurgestudios.com>, Philipp Hug <debian@hug.cx>, Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 7.0.0), bzip2, bison, flex, autotools-dev, dh-autoreconf, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-iscsi/open-iscsi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-iscsi/open-iscsi.git
Homepage: http://www.open-iscsi.org/

Package: open-iscsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description: High performance, transport independent iSCSI implementation
 Open-iSCSI is a high-performance, transport independent, multi-platform
 implementation of RFC3720 iSCSI
 .
 Open-iSCSI is partitioned into user and kernel parts where the kernel
 portion implements iSCSI data path (i.e. iSCSI Read and iSCSI Write)
 The userspace contains the entire control plane consisting of:
  * Configuration Manager
  * iSCSI Discovery, Login and Logout processing
  * Connection level error processing
  * Nop-In and Nop-Out handling
  * Text processing, iSNS, SLP, Radius et cetera (future)
 .
 The userspace component consists of a daemon, iscsid and a management
 utility, iscsiadm

Package: open-iscsi-udeb
Architecture: amd64 arm64 i386 ia64 mips mipsel powerpc s390x ppc64el ppc64 armhf
Section: debian-installer
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}, scsi-modules, libnss-files-udeb
Description: Configure iSCSI
 Open-iSCSI is a high-performance, transport independent, multi-platform
 implementation of RFC3720 iSCSI.
 .
 This is the minimal package (udeb) used by debian-installer.

#Package: linux-iscsi-modules-source
#Architecture: all
#Depends: ${shlibs:Depends}, ${misc:Depends}, module-assistant, debhelper (>= 4.0.0), bzip2
#Description: Source Code for the Linux iSCSI Kernel Modules
# Along with make-kpkg, this package maybe used to build a linux-iscsi-modules 
# package for a kernel-image package.
