=== debian/changelog ===
open-iscsi (2.0.874-5ubuntu2) bionic; urgency=medium

  * debian/tests:
     - tgt-boot-test: Use 'timeout' to force a 60m timeout of the boot test.
     - README-boot-test.md: document environment variables BOOT_TIMEOUT
       and _USE_KVM.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Feb 2018 13:19:17 -0500

open-iscsi (2.0.874-5ubuntu1) bionic; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtests.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
    - Let iscsid systemd job run in privileged containers but not in
      unprivileged ones
    - Start open-iscsi systemd job when either /etc/iscsi/nodes or
      /sys/class/iscsi_session have content
      Based on patch by Nish Aravamudan, thanks! (LP #1576341)
    - add IPv6 support
      + add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
        LP #1621507
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being
        shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
        can fill in /run/initramfs/open-iscsi.interface (LP #1621507)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Jan 2018 14:00:59 +0000

open-iscsi (2.0.874-5) unstable; urgency=high

  * [aeb86f7] Fix multiple security issues in iscsiuio. (CVE-2017-17840)
    (Closes: #885021)

 -- Christian Seiler <christian@iwakd.de>  Sat, 23 Dec 2017 11:30:44 +0100

open-iscsi (2.0.874-4ubuntu5) bionic; urgency=medium

  * debian/tests/patch-image: mount auxilary filesystems before upgrading
    packages. Fixes ADT tests, when triggered by packages, that need
    /proc, /dev, etc mounted to complete the upgrade.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Jan 2018 12:21:05 +0000

open-iscsi (2.0.874-4ubuntu4) bionic; urgency=medium

  * debian/tests/test-open-iscsi.py: skip test if cloud image is unavailable.
    This solves flaky tests in restricted network environments as well as in
    the short period after opening a new release (LP: #1731907).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 16 Nov 2017 12:06:34 +0100

open-iscsi (2.0.874-4ubuntu3) artful; urgency=medium

  * debian/tests/xkvm: do not use kvm (-enable-kvm) by default if
    operating inside a vm.  nested kvm is finicky.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Oct 2017 18:14:08 -0400

open-iscsi (2.0.874-4ubuntu2) artful; urgency=medium

  * debian/tests/test-open-iscsi.py: query systemd-resolved if present.
    Ubuntu images now have systemd-resolved managing /etc/resolv.conf
    so support test if that is the case (LP: #1715468).

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Sep 2017 16:20:16 -0400

open-iscsi (2.0.874-4ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests: Add Ubuntu autopkgtests.
    - debian/iscsi-network-interface.rules, debian/net-interface-handler,
      debian/open-iscsi.install:
      Prevent network interface that contains iscsi root from bouncing
      during boot or going down during shutdown.
      Integrates with resolvconf and initramfs code that writes
      /run/initramfs/open-iscsi.interface
    - debian/open-iscsi.maintscript: clean up the obsolete
      iscsi-network-interface upstart job, file on upgrade.
    - Let iscsid systemd job run in privileged containers but not in
      unprivileged ones
    - Start open-iscsi systemd job when either /etc/iscsi/nodes or
      /sys/class/iscsi_session have content
      Based on patch by Nish Aravamudan, thanks! (LP #1576341)
    - add IPv6 support
      + add support for IPV6{DOMAINSEARCH,DNS0,DNS1} to net-interface-handler
        LP #1621507
      + Source /run/net6-*.conf when needed.
      + debian/extra/initramfs.local-top: handle IPv6 configs being
        shipped in DEVICE6 or /run/net6-*.conf in the initramfs, so we
        can fill in /run/initramfs/open-iscsi.interface (LP #1621507)
  * Drop:
    - d/extra/initramfs.local-top: When booting from iBFT,
      set the PROTO= entry in /run/net-*.conf accordingly,
      so that other tools, such as cloud-init, can use that
      information. (cloud-init fails if the current PROTO=none
      is used.) (LP: #1684039) (Closes: #866213)
      [ Fixed in Debian 2.0.874-4 ]
  * d/t/test-open-iscsi.py: drop test_daemon test
    - With the updates to the systemd units, the services do not run
      unless iSCSI is configured.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 08 Aug 2017 16:16:27 -0700

open-iscsi (2.0.874-4) unstable; urgency=medium

  * [0347300] initramfs: populate PROTO= entry in /run/net-*.conf from iBFT
    (Closes: #866213)

 -- Christian Seiler <christian@iwakd.de>  Sun, 02 Jul 2017 18:01:09 +0200

open-iscsi (2.0.874-3) unstable; urgency=medium

  * [e506ea0] udeb: don't update initramfs when iSCSI is not used.
    (Closes: #863435)

 -- Christian Seiler <christian@iwakd.de>  Sun, 18 Jun 2017 22:01:22 +0200

open-iscsi (2.0.874-2ubuntu3) artful; urgency=medium

  * d/t/test-open-iscsi.py: drop test_daemon test
    - With the updates to the systemd units, the services do not run
      unless iSCSI is configured.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 08 Aug 2017 16:05:29 -0700

open-iscsi (2.0.874-2ubuntu2) artful; urgency=medium

  * d/extra/initramfs.local-top: When booting from iBFT,
    set the PROTO= entry in /run/net-*.conf accordingly,
    so that other tools, such as cloud-init, can use that
    information. (cloud-init fails if the current PROTO=none

